Package org.bukkit

# Enum Class Effect

java.lang.Object
java.lang.Enum<Effect>
org.bukkit.Effect

All Implemented Interfaces:
  `Serializable`, `Comparable<Effect>`, `Constable`

public enum Effect extends Enum<Effect>
A list of effects that the server is able to send to players.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`Effect.Type`
Represents the type of an effect.

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ANVIL_BREAK`
The sound played when an anvil breaks
`ANVIL_LAND`
The sound played when an anvil lands after falling
`ANVIL_USE`
The sound played when an anvil is used
`BAT_TAKEOFF`
Sound played by a bat taking off
`BLAZE_SHOOT`
Sound of blaze firing.
`BONE_MEAL_USE`
The sound played / particles shown when bone meal is used to grow a plant.
`BOOK_PAGE_TURN`
The sound played when a book page is being turned.
`BOOK_PAGE_TURNED`
Deprecated, for removal: This API element is subject to removal in a future version.
use `BOOK_PAGE_TURN`
`BOW_FIRE`
Sound of a bow firing.
`BREWING_STAND_BREW`
The sound played by brewing stands when brewing
`CHORUS_FLOWER_DEATH`
The sound played when a chorus flower dies
`CHORUS_FLOWER_GROW`
The sound played when a chorus flower grows
`CLICK1`
A click sound.
`CLICK2`
An alternate click sound.
`COMPOSTER_COMPOSTS`
Deprecated, for removal: This API element is subject to removal in a future version.
use `COMPOSTER_FILL_ATTEMPT`
`COMPOSTER_FILL_ATTEMPT`
The sound played / particles shown when a composter is being attempted to fill.
`COPPER_WAX_OFF`
The particles shown when wax is removed from a copper block.
`COPPER_WAX_ON`
The sound played / particles shown when wax is applied to a copper block.
`DOOR_CLOSE`
Sound of a door closing.
`DOOR_TOGGLE`
Sound of a door opening.
`DRAGON_BREATH`
The sound/particles used by the enderdragon's breath attack.
`DRIPPING_DRIPSTONE`
The particles shown when a dripstone drips lava or water.
`ELECTRIC_SPARK`
The particles shown when a lightning hits a lightning rod or oxidized copper.
`END_GATEWAY_SPAWN`
The sound/particles caused by a end gateway spawning
`END_PORTAL_CREATED_IN_OVERWORLD`
The sound of an ender portal being created in the overworld
`END_PORTAL_FRAME_FILL`
The sound played / particles shown when an eye of ender is placed into an ender portal frame.
`ENDER_DRAGON_DEATH`
The sound of an ender dragon dying
`ENDER_DRAGON_DESTROY_BLOCK`
The particles shown when an ender dragon destroys blocks.
`ENDER_DRAGON_DESTROYS_BLOCK`
Deprecated, for removal: This API element is subject to removal in a future version.
use `ENDER_DRAGON_DESTROY_BLOCK`
`ENDER_EYE_PLACED`
Deprecated, for removal: This API element is subject to removal in a future version.
use `END_PORTAL_FRAME_FILL`
`ENDER_SIGNAL`
An ender eye signal; a visual effect.
`ENDERDRAGON_GROWL`
The sound of an enderdragon growling
`ENDERDRAGON_SHOOT`
Sound of an enderdragon firing
`ENDEREYE_LAUNCH`
The sound played when launching an endereye
`EXTINGUISH`
Sound of fire being extinguished.
`FENCE_GATE_CLOSE`
Sound of a door closing.
`FENCE_GATE_TOGGLE`
Sound of a door opening.
`FIREWORK_SHOOT`
The sound played when launching a firework
`GHAST_SHOOT`
Sound of ghast firing.
`GHAST_SHRIEK`
Sound of ghast shrieking.
`GRINDSTONE_USE`
The sound played when a grindstone is being used.
`GRINDSTONE_USED`
Deprecated, for removal: This API element is subject to removal in a future version.
use `GRINDSTONE_USE`
`HUSK_CONVERTED_TO_ZOMBIE`
The sound played when a husk converts to a zombie.
`HUSK_CONVERTS_TO_ZOMBIE`
Deprecated, for removal: This API element is subject to removal in a future version.
use `HUSK_CONVERTED_TO_ZOMBIE`
`INSTANT_POTION_BREAK`
Visual effect of an instant splash potion breaking.
`IRON_DOOR_CLOSE`
Sound of a door closing.
`IRON_DOOR_TOGGLE`
Sound of a door opening.
`IRON_TRAPDOOR_CLOSE`
Sound of a door closing.
`IRON_TRAPDOOR_TOGGLE`
Sound of a door opening.
`LAVA_CONVERTS_BLOCK`
Deprecated, for removal: This API element is subject to removal in a future version.
use `LAVA_INTERACT`
`LAVA_INTERACT`
The sound played / particles shown when lava interacts with the world.
`MOBSPAWNER_FLAMES`
The flames seen on a mobspawner; a visual effect.
`OXIDISED_COPPER_SCRAPE`
The particles shown when oxidation is scraped of an oxidized copper block.
`PHANTOM_BITE`
The sound played when phantom bites.
`PHANTOM_BITES`
Deprecated, for removal: This API element is subject to removal in a future version.
use `PHANTOM_BITE`
`POINTED_DRIPSTONE_DRIP_LAVA_INTO_CAULDRON`
The sound played when a pointed dripstone drips lava into a cauldron.
`POINTED_DRIPSTONE_DRIP_WATER_INTO_CAULDRON`
The sound played when a pointed dripstone drips water into a cauldron.
`POINTED_DRIPSTONE_LAND`
The sound played when a pointed dripstone hits the surface.
`PORTAL_TRAVEL`
The sound played when traveling through a portal
`POTION_BREAK`
Visual effect of a splash potion breaking.
`RECORD_PLAY`
A song from a record.
`REDSTONE_TORCH_BURNOUT`
The sound played / particles shown when a redstone torch burns out.
`REDSTONE_TORCH_BURNS_OUT`
Deprecated, for removal: This API element is subject to removal in a future version.
use `REDSTONE_TORCH_BURNOUT`
`SKELETON_CONVERTED_TO_STRAY`
The sound played when a skeleton converts to a stray.
`SMITHING_TABLE_USE`
The sound played when a smithing table is being used.
`SMOKE`
A visual smoke effect.
`SPONGE_DRY`
The particles shown when a sponge dries in an ultra warm world (nether).
`STEP_SOUND`
Sound of a block breaking.
`TRAPDOOR_CLOSE`
Sound of a trapdoor closing.
`TRAPDOOR_TOGGLE`
Sound of a trapdoor opening.
`VILLAGER_PLANT_GROW`
Particles displayed when a villager grows a plant, data is the number of particles
`WET_SPONGE_VAPORIZES_IN_NETHER`
Deprecated, for removal: This API element is subject to removal in a future version.
use `SPONGE_DRY`
`WITHER_BREAK_BLOCK`
The sound played when a wither breaks a block
`WITHER_SHOOT`
Sound of a wither shooting
`WITHER_SPAWNED`
The sound of a wither spawning
`ZOMBIE_CHEW_IRON_DOOR`
Sound of zombies chewing on iron doors.
`ZOMBIE_CHEW_WOODEN_DOOR`
Sound of zombies chewing on wooden doors.
`ZOMBIE_CONVERTED_TO_DROWNED`
The sound played when a zombie converts to a drowned.
`ZOMBIE_CONVERTED_VILLAGER`
The sound played when a villager is converted by a zombie
`ZOMBIE_CONVERTS_TO_DROWNED`
Deprecated, for removal: This API element is subject to removal in a future version.
use `ZOMBIE_CONVERTED_TO_DROWNED`
`ZOMBIE_DESTROY_DOOR`
Sound of zombies destroying a door.
`ZOMBIE_INFECT`
The sound played when a zombie infects a target

## Method Summary

Modifier and Type
Method
Description
`static @Nullable Effect`
`getById(int id)`
Deprecated.
Magic value
`@Nullable Class<?>`
`getData()`
`int`
`getId()`
Deprecated.
Magic value
`@NotNull Effect.Type`
`getType()`
`static Effect`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Effect[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CLICK2

public static final Effect CLICK2
An alternate click sound.

### CLICK1

public static final Effect CLICK1
A click sound.

### BOW_FIRE

public static final Effect BOW_FIRE
Sound of a bow firing.

### DOOR_TOGGLE

public static final Effect DOOR_TOGGLE
Sound of a door opening.

### IRON_DOOR_TOGGLE

public static final Effect IRON_DOOR_TOGGLE
Sound of a door opening.

### TRAPDOOR_TOGGLE

public static final Effect TRAPDOOR_TOGGLE
Sound of a trapdoor opening.

### IRON_TRAPDOOR_TOGGLE

public static final Effect IRON_TRAPDOOR_TOGGLE
Sound of a door opening.

### FENCE_GATE_TOGGLE

public static final Effect FENCE_GATE_TOGGLE
Sound of a door opening.

### DOOR_CLOSE

public static final Effect DOOR_CLOSE
Sound of a door closing.

### IRON_DOOR_CLOSE

public static final Effect IRON_DOOR_CLOSE
Sound of a door closing.

### TRAPDOOR_CLOSE

public static final Effect TRAPDOOR_CLOSE
Sound of a trapdoor closing.

### IRON_TRAPDOOR_CLOSE

public static final Effect IRON_TRAPDOOR_CLOSE
Sound of a door closing.

### FENCE_GATE_CLOSE

public static final Effect FENCE_GATE_CLOSE
Sound of a door closing.

### EXTINGUISH

public static final Effect EXTINGUISH
Sound of fire being extinguished.

### RECORD_PLAY

public static final Effect RECORD_PLAY
A song from a record. Needs the record item ID as additional info

### GHAST_SHRIEK

public static final Effect GHAST_SHRIEK
Sound of ghast shrieking.

### GHAST_SHOOT

public static final Effect GHAST_SHOOT
Sound of ghast firing.

### BLAZE_SHOOT

public static final Effect BLAZE_SHOOT
Sound of blaze firing.

### ZOMBIE_CHEW_WOODEN_DOOR

public static final Effect ZOMBIE_CHEW_WOODEN_DOOR
Sound of zombies chewing on wooden doors.

### ZOMBIE_CHEW_IRON_DOOR

public static final Effect ZOMBIE_CHEW_IRON_DOOR
Sound of zombies chewing on iron doors.

### ZOMBIE_DESTROY_DOOR

public static final Effect ZOMBIE_DESTROY_DOOR
Sound of zombies destroying a door.

### SMOKE

public static final Effect SMOKE
A visual smoke effect. Needs direction as additional info.

### STEP_SOUND

public static final Effect STEP_SOUND
Sound of a block breaking. Needs block ID as additional info.

### POTION_BREAK

public static final Effect POTION_BREAK
Visual effect of a splash potion breaking. Needs potion data value as additional info.

### INSTANT_POTION_BREAK

public static final Effect INSTANT_POTION_BREAK
Visual effect of an instant splash potion breaking. Needs color data value as additional info.

### ENDER_SIGNAL

public static final Effect ENDER_SIGNAL
An ender eye signal; a visual effect.

### MOBSPAWNER_FLAMES

public static final Effect MOBSPAWNER_FLAMES
The flames seen on a mobspawner; a visual effect.

### BREWING_STAND_BREW

public static final Effect BREWING_STAND_BREW
The sound played by brewing stands when brewing

### CHORUS_FLOWER_GROW

public static final Effect CHORUS_FLOWER_GROW
The sound played when a chorus flower grows

### CHORUS_FLOWER_DEATH

public static final Effect CHORUS_FLOWER_DEATH
The sound played when a chorus flower dies

### PORTAL_TRAVEL

public static final Effect PORTAL_TRAVEL
The sound played when traveling through a portal

### ENDEREYE_LAUNCH

public static final Effect ENDEREYE_LAUNCH
The sound played when launching an endereye

### FIREWORK_SHOOT

public static final Effect FIREWORK_SHOOT
The sound played when launching a firework

### VILLAGER_PLANT_GROW

public static final Effect VILLAGER_PLANT_GROW
Particles displayed when a villager grows a plant, data is the number of particles

### DRAGON_BREATH

public static final Effect DRAGON_BREATH
The sound/particles used by the enderdragon's breath attack.

### ANVIL_BREAK

public static final Effect ANVIL_BREAK
The sound played when an anvil breaks

### ANVIL_USE

public static final Effect ANVIL_USE
The sound played when an anvil is used

### ANVIL_LAND

public static final Effect ANVIL_LAND
The sound played when an anvil lands after falling

### ENDERDRAGON_SHOOT

public static final Effect ENDERDRAGON_SHOOT
Sound of an enderdragon firing

### WITHER_BREAK_BLOCK

public static final Effect WITHER_BREAK_BLOCK
The sound played when a wither breaks a block

### WITHER_SHOOT

public static final Effect WITHER_SHOOT
Sound of a wither shooting

### ZOMBIE_INFECT

public static final Effect ZOMBIE_INFECT
The sound played when a zombie infects a target

### ZOMBIE_CONVERTED_VILLAGER

public static final Effect ZOMBIE_CONVERTED_VILLAGER
The sound played when a villager is converted by a zombie

### BAT_TAKEOFF

public static final Effect BAT_TAKEOFF
Sound played by a bat taking off

### END_GATEWAY_SPAWN

public static final Effect END_GATEWAY_SPAWN
The sound/particles caused by a end gateway spawning

### ENDERDRAGON_GROWL

public static final Effect ENDERDRAGON_GROWL
The sound of an enderdragon growling

### PHANTOM_BITE

public static final Effect PHANTOM_BITE
The sound played when phantom bites.

### ZOMBIE_CONVERTED_TO_DROWNED

public static final Effect ZOMBIE_CONVERTED_TO_DROWNED
The sound played when a zombie converts to a drowned.

### HUSK_CONVERTED_TO_ZOMBIE

public static final Effect HUSK_CONVERTED_TO_ZOMBIE
The sound played when a husk converts to a zombie.

### GRINDSTONE_USE

public static final Effect GRINDSTONE_USE
The sound played when a grindstone is being used.

### BOOK_PAGE_TURN

public static final Effect BOOK_PAGE_TURN
The sound played when a book page is being turned.

### SMITHING_TABLE_USE

public static final Effect SMITHING_TABLE_USE
The sound played when a smithing table is being used.

### POINTED_DRIPSTONE_LAND

public static final Effect POINTED_DRIPSTONE_LAND
The sound played when a pointed dripstone hits the surface.

### POINTED_DRIPSTONE_DRIP_LAVA_INTO_CAULDRON

public static final Effect POINTED_DRIPSTONE_DRIP_LAVA_INTO_CAULDRON
The sound played when a pointed dripstone drips lava into a cauldron.

### POINTED_DRIPSTONE_DRIP_WATER_INTO_CAULDRON

public static final Effect POINTED_DRIPSTONE_DRIP_WATER_INTO_CAULDRON
The sound played when a pointed dripstone drips water into a cauldron.

### SKELETON_CONVERTED_TO_STRAY

public static final Effect SKELETON_CONVERTED_TO_STRAY
The sound played when a skeleton converts to a stray.

### COMPOSTER_FILL_ATTEMPT

public static final Effect COMPOSTER_FILL_ATTEMPT
The sound played / particles shown when a composter is being attempted to fill. True for a successful attempt false for an unsuccessful attempt.

### LAVA_INTERACT

public static final Effect LAVA_INTERACT
The sound played / particles shown when lava interacts with the world. For example by forming stone, obsidian, basalt or destroying blocks such as torches.

### REDSTONE_TORCH_BURNOUT

public static final Effect REDSTONE_TORCH_BURNOUT
The sound played / particles shown when a redstone torch burns out.

### END_PORTAL_FRAME_FILL

public static final Effect END_PORTAL_FRAME_FILL
The sound played / particles shown when an eye of ender is placed into an ender portal frame.

### DRIPPING_DRIPSTONE

public static final Effect DRIPPING_DRIPSTONE
The particles shown when a dripstone drips lava or water. This effect requires a dripstone at the location as well as lava or water at the root of the dripstone.

### BONE_MEAL_USE

public static final Effect BONE_MEAL_USE
The sound played / particles shown when bone meal is used to grow a plant. Data is the number of particles.

### ENDER_DRAGON_DESTROY_BLOCK

public static final Effect ENDER_DRAGON_DESTROY_BLOCK
The particles shown when an ender dragon destroys blocks.

### SPONGE_DRY

public static final Effect SPONGE_DRY
The particles shown when a sponge dries in an ultra warm world (nether).

### ELECTRIC_SPARK

public static final Effect ELECTRIC_SPARK
The particles shown when a lightning hits a lightning rod or oxidized copper. Data is the axis at which the particle should be shown. If no data is provided it will show the particles at the block faces.

### COPPER_WAX_ON

public static final Effect COPPER_WAX_ON
The sound played / particles shown when wax is applied to a copper block.

### COPPER_WAX_OFF

public static final Effect COPPER_WAX_OFF
The particles shown when wax is removed from a copper block.

### OXIDISED_COPPER_SCRAPE

public static final Effect OXIDISED_COPPER_SCRAPE
The particles shown when oxidation is scraped of an oxidized copper block.

### WITHER_SPAWNED

public static final Effect WITHER_SPAWNED
The sound of a wither spawning

### ENDER_DRAGON_DEATH

public static final Effect ENDER_DRAGON_DEATH
The sound of an ender dragon dying

### END_PORTAL_CREATED_IN_OVERWORLD

public static final Effect END_PORTAL_CREATED_IN_OVERWORLD
The sound of an ender portal being created in the overworld

### PHANTOM_BITES

@Deprecated(forRemoval=true) public static final Effect PHANTOM_BITES
Deprecated, for removal: This API element is subject to removal in a future version.
use `PHANTOM_BITE`
The sound of phantom's bites

### ZOMBIE_CONVERTS_TO_DROWNED

@Deprecated(forRemoval=true) public static final Effect ZOMBIE_CONVERTS_TO_DROWNED
Deprecated, for removal: This API element is subject to removal in a future version.
use `ZOMBIE_CONVERTED_TO_DROWNED`
The sound of zombie converting to drowned zombie

### HUSK_CONVERTS_TO_ZOMBIE

@Deprecated(forRemoval=true) public static final Effect HUSK_CONVERTS_TO_ZOMBIE
Deprecated, for removal: This API element is subject to removal in a future version.
use `HUSK_CONVERTED_TO_ZOMBIE`
The sound of a husk converting to zombie by drowning

### GRINDSTONE_USED

@Deprecated(forRemoval=true) public static final Effect GRINDSTONE_USED
Deprecated, for removal: This API element is subject to removal in a future version.
use `GRINDSTONE_USE`
The sound of a grindstone being used

### BOOK_PAGE_TURNED

@Deprecated(forRemoval=true) public static final Effect BOOK_PAGE_TURNED
Deprecated, for removal: This API element is subject to removal in a future version.
use `BOOK_PAGE_TURN`
The sound of a book page being turned

### COMPOSTER_COMPOSTS

@Deprecated(forRemoval=true) public static final Effect COMPOSTER_COMPOSTS
Deprecated, for removal: This API element is subject to removal in a future version.
use `COMPOSTER_FILL_ATTEMPT`
Particles displayed when a composter composts

### LAVA_CONVERTS_BLOCK

@Deprecated(forRemoval=true) public static final Effect LAVA_CONVERTS_BLOCK
Deprecated, for removal: This API element is subject to removal in a future version.
use `LAVA_INTERACT`
Particles displayed when lava converts a block (either water to stone, or removing existing blocks such as torches)

### REDSTONE_TORCH_BURNS_OUT

@Deprecated(forRemoval=true) public static final Effect REDSTONE_TORCH_BURNS_OUT
Deprecated, for removal: This API element is subject to removal in a future version.
use `REDSTONE_TORCH_BURNOUT`
Particles displayd when a redstone torch burns out

### ENDER_EYE_PLACED

@Deprecated(forRemoval=true) public static final Effect ENDER_EYE_PLACED
Deprecated, for removal: This API element is subject to removal in a future version.
use `END_PORTAL_FRAME_FILL`
Particles displayed when an ender eye is placed

### ENDER_DRAGON_DESTROYS_BLOCK

@Deprecated(forRemoval=true) public static final Effect ENDER_DRAGON_DESTROYS_BLOCK
Deprecated, for removal: This API element is subject to removal in a future version.
use `ENDER_DRAGON_DESTROY_BLOCK`
Particles displayed when an ender dragon destroys block

### WET_SPONGE_VAPORIZES_IN_NETHER

@Deprecated(forRemoval=true) public static final Effect WET_SPONGE_VAPORIZES_IN_NETHER
Deprecated, for removal: This API element is subject to removal in a future version.
use `SPONGE_DRY`
Particles displayed when a wet sponge vaporizes in nether.

## Method Details

### values

public static Effect[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Effect valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getId

@Deprecated public int getId()
Deprecated.
Magic value
Gets the ID for this effect.

Returns:
  ID of this effect

### getType

@NotNull public @NotNull Effect.Type getType()

Returns:
  The type of the effect.

### getData

@Nullable public @Nullable Class<?> getData()

Returns:
  The class which represents data for this effect, or null if none

### getById

@Deprecated @Nullable public static @Nullable Effect getById(int id)
Deprecated.
Magic value
Gets the Effect associated with the given ID.

Parameters:
  `id` - ID of the Effect to return
Returns:
  Effect with the given ID